# pandas.Index.repeat

`Index.``repeat`(repeats, axis=None)

  Repeat elements of a Index.

  Returns a new Index where each element of the current Index is repeated consecutively a given number of times.

  Parameters:

  repeats : int or array of ints

  > The number of repetitions for each element. This should be a non-negative integer. Repeating 0 times will return an empty Index.

  axis : None

  > Must be `None`. Has no effect but is accepted for compatibility with numpy.

  Returns:

  repeated_index : Index

  > Newly created Index with repeated elements.

  See also

  `Series.repeat`
    Equivalent function for Series.
  `numpy.repeat`
    Similar method for `numpy.ndarray`.

  Examples

      >>> idx = pd.Index(['a', 'b', 'c'])
      >>> idx
      Index(['a', 'b', 'c'], dtype='object')
      >>> idx.repeat(2)
      Index(['a', 'a', 'b', 'b', 'c', 'c'], dtype='object')
      >>> idx.repeat([1, 2, 3])
      Index(['a', 'b', 'b', 'c', 'c', 'c'], dtype='object')

Scroll To Top